Create a new Log
curl --request POST \
--url https://commerce.driv.ly/api/logs \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"title": "<string>",
"trace": "<string>",
"requestBody": {},
"path": "<string>",
"method": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"status": "<string>",
"responseBody": {},
"responseHeaders": [
{
"key": "<string>",
"value": "<string>"
}
],
"requestHeaders": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://commerce.driv.ly/api/logs"
payload = {
"id": "<string>",
"title": "<string>",
"trace": "<string>",
"requestBody": {},
"path": "<string>",
"method": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"status": "<string>",
"responseBody": {},
"responseHeaders": [
{
"key": "<string>",
"value": "<string>"
}
],
"requestHeaders": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
title: '<string>',
trace: '<string>',
requestBody: {},
path: '<string>',
method: '<string>',
ipAddress: '<string>',
userAgent: '<string>',
status: '<string>',
responseBody: {},
responseHeaders: [{key: '<string>', value: '<string>'}],
requestHeaders: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://commerce.driv.ly/api/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"title": "<string>",
"trace": "<string>",
"requestBody": {},
"path": "<string>",
"method": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"status": "<string>",
"responseBody": {},
"responseHeaders": [
{
"key": "<string>",
"value": "<string>"
}
],
"requestHeaders": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Analytics
Create a new Log
POST
/
logs
Create a new Log
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Log is uniquely identified by id
Log has Title
Log has Trace
Log has Request Body
Log has Path
Log has Method
Log has IP Address
Log has User Agent
Log has Status
Log has Response Body
Log has Response Header
- Option 1
- Header
Show child attributes
Show child attributes
Log has Request Header
- Option 1
- Header
Show child attributes
Show child attributes
⌘I